## org.apache.catalina.connector.warp
Class WarpResponse

    java.lang.Object
      org.apache.catalina.connector.ResponseBase
          org.apache.catalina.connector.HttpResponseBase
              org.apache.catalina.connector.warp.WarpResponse

All Implemented Interfaces:
  HttpResponse, javax.servlet.http.HttpServletResponse, Response, javax.servlet.ServletResponse

public class WarpResponse
extends HttpResponseBase

Nested Class Summary
`protected class` `WarpResponse.Stream` The `OutputStream` that will handle all response body transmission.

Nested classes inherited from class org.apache.catalina.connector.HttpResponseBase
`HttpResponseBase.PrivilegedFlushBuffer`

Field Summary

Fields inherited from class org.apache.catalina.connector.HttpResponseBase
`cookies, facade, format, headers, info, message, status, zone`

Fields inherited from class org.apache.catalina.connector.ResponseBase
`appCommitted, buffer, bufferCount, committed, connector, contentCount, contentLength, contentType, context, encoding, error, included, locale, output, request, sm, stream, suspended, writer`

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`WarpResponse()` Create a new instance of a `WarpResponse`.

Method Summary
`void` `finishResponse()` Flush output and finish.
`WarpConnection` `getConnection()` Return the `WarpConnection` associated this instance of `WarpResponse`.
`WarpPacket` `getPacket()` Return the `WarpPacket` instance used to process headers.
`void` `recycle()` Recycle this `WarpResponse` instance.
`protected void` `sendHeaders()` Send the HTTP response headers, if this has not already occurred.
`void` `setConnection(WarpConnection connection)` Associate this `WarpResponse` instance with a specific `WarpConnection` instance.
`void` `setPacket(WarpPacket packet)` Set the `WarpPacket` instance used to process headers.

Methods inherited from class org.apache.catalina.connector.HttpResponseBase

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, flushBuffer, getCookies, getHeader, getHeaderNames, getHeaderValues, getMessage, getProtocol, getResponse, getStatus, getStatusMessage, reset, reset, sendAcknowledgement, sendError, sendError, sendRedirect, setContentLength, setContentType, setDateHeader, setHeader, setIntHeader, setLocale, setStatus, setStatus`

Methods inherited from class org.apache.catalina.connector.ResponseBase

`createOutputStream, getBufferSize, getCharacterEncoding, getConnector, getContentCount, getContentLength, getContentType, getContext, getIncluded, getInfo, getLocale, getOutputStream, getReporter, getRequest, getStream, getWriter, isAppCommitted, isCommitted, isError, isSuspended, resetBuffer, setAppCommitted, setBufferSize, setConnector, setContext, setError, setIncluded, setRequest, setStream, setSuspended, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Response
`createOutputStream, getConnector, getContentCount, getContentLength, getContentType, getContext, getIncluded, getInfo, getReporter, getRequest, getStream, isAppCommitted, isError, isSuspended, resetBuffer, setAppCommitted, setConnector, setContext, setError, setIncluded, setRequest, setStream, setSuspended`

Methods inherited from interface javax.servlet.ServletResponse
`getBufferSize, getCharacterEncoding, getLocale, getOutputStream, getWriter, isCommitted, resetBuffer, setBufferSize`

Constructor Detail

### WarpResponse

    public WarpResponse()

  Create a new instance of a `WarpResponse`.

Method Detail

### recycle

    public void recycle()

  Recycle this `WarpResponse` instance.

  Specified by:
    `recycle` in interface `Response`
  Overrides:
    `recycle` in class `HttpResponseBase`

### setPacket

    public void setPacket(WarpPacket packet)

  Set the `WarpPacket` instance used to process headers.

### getPacket

    public WarpPacket getPacket()

  Return the `WarpPacket` instance used to process headers.

### setConnection

    public void setConnection(WarpConnection connection)

  Associate this `WarpResponse` instance with a specific `WarpConnection` instance.

### getConnection

    public WarpConnection getConnection()

  Return the `WarpConnection` associated this instance of `WarpResponse`.

### finishResponse

    public void finishResponse()
                        throws java.io.IOException

  Flush output and finish.

  Specified by:
    `finishResponse` in interface `Response`
  Overrides:
    `finishResponse` in class `HttpResponseBase`
  Throws:
    `java.io.IOException` - if an input/output error occurs

### sendHeaders

    protected void sendHeaders()
                        throws java.io.IOException

  Send the HTTP response headers, if this has not already occurred.

  Overrides:
    `sendHeaders` in class `HttpResponseBase`
  Throws:
    `java.io.IOException`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.